package com.wisedu.mooc.app.home.service;

import javax.servlet.http.HttpServletRequest;

import com.wisedu.mooc.app.user.bo.UserInfo;

import java.util.List;


/**
 * The Interface HomeService.
 */
public interface HomeService {
	
	UserInfo getUserInfo(Long userId);
	
	UserInfo executeLogin(HttpServletRequest request, UserInfo userInfo);

    List<UserInfo> getUserInfoForLogin(String loginName, String password);

    List<UserInfo> queryUserByLoginName(String loginName);

    UserInfo insertRegisterInfo(String loginName, String password);

    String getUserAvatar();
}
